document.addEventListener('DOMContentLoaded', () => {
    createSnowfall();
});

function createSnowfall() {
    const snowfall = document.querySelector('.snowfall');
    const flakeCount = 50;

    for (let i = 0; i < flakeCount; i++) {
        createSnowflake(snowfall);
    }
}

function createSnowflake(container) {
    const flake = document.createElement('div');
    const size = Math.random() * 5 + 2;
    const startPosition = Math.random() * window.innerWidth;
    const animationDuration = Math.random() * 3 + 2;
    const opacity = Math.random() * 0.6 + 0.4;

    flake.style.cssText = `
        position: absolute;
        top: -10px;
        left: ${startPosition}px;
        width: ${size}px;
        height: ${size}px;
        background: white;
        border-radius: 50%;
        opacity: ${opacity};
        pointer-events: none;
        animation: fall ${animationDuration}s linear infinite;
    `;

    container.appendChild(flake);

    flake.addEventListener('animationend', () => {
        flake.remove();
        createSnowflake(container);
    });
}

const style = document.createElement('style');
style.textContent = `
    @keyframes fall {
        to {
            transform: translateY(100vh) rotate(360deg);
        }
    }
`;
document.head.appendChild(style);
